﻿using SecureShopDataModels.Models;

namespace SecureShopContracts.BindingModels
{
    public class SecureBindingModel : ISecureModel
    {
        public int Id { get; set; }
        public string SecureName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IFacilitiesModel, int)> SecureFacilitiess { get; set; } = new();
    }
}