﻿using System.ComponentModel.DataAnnotations;

namespace SecureShopDatabaseImplement.Models
{
    public class SecureFacilities
    {
        public int Id { get; set; }

        [Required]
        public int SecureId { get; set; }

        [Required]
        public int FacilitiesId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Facilities Facilities { get; set; } = new();

        public virtual Secure Secure { get; set; } = new();
    }
}
